libnvme(2)

NAME
struct nbft_ssns_ext_info - Subsystem and Namespace Extended Information Descriptor (Figure 19)

SYNOPSIS
struct nbft_ssns_ext_info {
__u8 structure_id;
__u8 version;
__le16 ssns_index;
__le32 flags;
__le16 cntlid;
__le16 asqsz;
struct nbft_heap_obj dhcp_root_path_str_obj;
};

Members

structure_id
    Structure ID: This field shall be set to 9h (i.e., SSNS Extended Info; #NBFT_DESC_SSNS_EXT_INFO).

version
    Version: This field shall be set to 1h.

ssns_index
    SSNS Descriptor Index: This field indicates the value of the SSNS Descriptor Index field of the Subsystem and Namespace Descriptor (see struct nbft_ssns) whose SSNS Extended Information Descriptor Heap Object Reference field indicates this descriptor.

flags
    Flags, see enum nbft_ssns_ext_info_flags.

cntlid
    Controller ID: The controller identifier of the first controller associated with the Admin Queue by the driver. If a controller identifier is not administratively specified or direct configuration is not supported by the driver, then this field shall be cleared to 0h.

asqsz
    Admin Submission Queue Size (ASQSZ): The Admin Submission Queue Size utilized for the respective SSNS by the driver.

dhcp_root_path_str_obj
    DHCP Root Path String Heap Object Reference: If the SSNS DHCP Root Path Override (#NBFT_SSNS_DHCP_ROOT_PATH_OVERRIDE) flag bit is set to 1h, then this field indicates the offset in bytes of a heap object containing an DHCP Root Path String used by the driver. If the SNSS DHCP Root Path Override flag bit is cleared to 0h, then this field is reserved.